# Time Series Performance Calculator

A Python package for calculating and analyzing time series performance metrics for financial data.

## Features

- Calculate annualized returns (CAGR method and days-based method)
- Generate monthly returns tables
- Create monthly cumulative returns tables
- Calculate relative performance against benchmarks
- Compute maximum drawdown metrics
- Calculate annualized volatility
- Generate performance tables with customizable formatting options

## Installation

```bash
pip install timeseries-performance-calculator
```

Or install from source:

```bash
git clone https://github.com/nailen1/timeseries-performance-calculator.git
cd timeseries-performance-calculator
pip install -e .
```

## Usage

```python
# Code examples will be updated in future releases.
# Detailed usage examples and documentation will be provided in upcoming versions.
```

> **Note**: This package is currently under development. More detailed usage examples and documentation will be provided in future updates.

## Dependencies

- fund_insight_engine
- universal_timeseries_transformer
- string_date_controller
- canonical_transformer

## License

MIT

## Author

June Young Park (juneyoungpaak@gmail.com)
